﻿@model IPagedList<Videos>
@{
    ViewBag.Title = Resources.PVVIdeos_VIdeoPresentations;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-md-12 gallery">
        <div class="well well-sm col-md-12">
            @foreach (var item in Model)
            {
                <div class="col-sm-4 col-xs-6 col-md-4 col-lg-4">
                    @if (item.Source == "Facebook")
                    {
                        <iframe src="@item.Link&show_text=0&width=290&height=220" width="290" height="220" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allowFullScreen="true"></iframe>
                    }
                    else if (item.Source == "Youtube")
                    {
                        <iframe width="290" height="220" src="@item.Link" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                    }
                    <p></p>
                </div>
                
            }
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="well well-sm col-md-12">
            <div class="col-md-4"></div>
            <div class="col-md-4">
                @Html.PagedListPager(Model, page => Url.Action("PhotovoltaicVIdeos", new { page = page }))
            </div>
            <div class="col-md-4"></div>
        </div>
    </div>
</div>